FIRST Robotics Competition Discussions

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW 7.1.1 and LabVIEW 8.5.1 - need to install both environments for FRC and LEGO NXT development

Problem Statement:

To support multiple Elementary, Middle, and High School FIRST Robotic Teams as well as just for the fun of it - I need to install the following suites of software development environments:

  1. LabVIEW 7.1.1 Student Edition and associated NXT development components
  2. LabVIEW 8.5.1 and associated FRC components et al

I am working on an IBM T42 laptop, with Windows XP/SP2. I would presume that this combination of NI softwares has been installed before on an XP to allow for multiple development environments to coexist and play nicely. I would like to hear specifically about any issues that I might face, and any tips & tricks to make these multiple installs go smoothly...without a hitch (like which one gets installed first - if that matters, etc.)

Thx in advance...

0 Kudos
Message 1 of 5
(6,631 Views)

Hi northbend,

That's great that you're planning to help with so many FIRST teams.

Before I give you a definite answer, I want to make sure I understand what you'll be doing.  I assume that you want LabVIEW 7.1.1 and the LabVIEW Toolkit for LEGO MINDSTORMS NXT to create custom NXT blocks.  You mentioned LabVIEW 8.5.1 with the FRC software.  Is that from the FRC 2009 DVD?  Are you planning to install the FTC software as well?

There should not be any problems having LabVIEW 7.1.1 and 8.5.1 (FRC 2009) on the same computer.  However, it could be more difficult if you want to install both the FTC and FRC LabVIEW versions.  I will be talking to the developers tomorrow to determine the recommended installation process and will post back here.

Regards,

Jennifer

Jennifer R.
National Instruments
Applications Engineer
0 Kudos
Message 2 of 5
(919 Views)

Yes - you've expanded the question/problem statement in the right direction - what are the anticipated issues with:

  • LabVIEW 7.1.1 for LEGO Mindstorms NXT development with the Toolkit
  • LabVIEW 8.5.1 for either/both FIRST FRC or FTC

Thx.

0 Kudos
Message 3 of 5
(919 Views)

Hi northbend,

Thanks for clarifying.  Some extra precautions will need to be taken since the FTC and FRC software both use LabVIEW 8.5.1.  One of the developers is going through the installation process now to verify the necessary steps.  We will be creating and posting specific instructions soon.  In the meantime, if you need to use both environments right now, it would be best to install the software on two separate computers.

Regards,

Jennifer

Jennifer R.
National Instruments
Applications Engineer
0 Kudos
Message 4 of 5
(919 Views)

Hi northbend,

Based on the testing that's been done, here are some things to keep in mind if you would like to install LabVIEW 7.1.1, the NXT Toolkit, LabVIEW FTC, and LabVIEW FRC on the same computer:

1. There can be only one copy of the NXT Toolkit on the machine. If you have the NXT toolkit installed for LV7.1, installing FTC will give you the NXT toolkit under LV 8.5.1; the copy for LV 7.1 is uninstalled because this is considered an upgrade.

2. After FTC is installed (which installs the NXT Toolkit), NXT Toolkit 1.01 cannot be installed anymore because there is already a copy on the machine.

3. FTC and FRC can be installed on the same machine, with the following recommendations:

a) Install FTC first.

b) Before installing FRC, make sure to switch to use the "Original Palette Set" using the Tools>>Switch palette set.

c) After installing FRC on top of FTC, NXT Toolkit can still be used. The "Complete Palette Set" has all the extra functions for FTC and FRC.

This will be posted in a document in the FIRST Community as well.

Regards,

Jennifer

Jennifer R.
National Instruments
Applications Engineer
0 Kudos
Message 5 of 5
(919 Views)